import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;

public class GebietsDatei {

    private String dateiName;

    public GebietsDatei(String dateiName) {
        this.dateiName = dateiName;
    }

    public ArrayList<Gebiet> getGebiete() {
        ArrayList<Gebiet> gebiete = new ArrayList<>();
        try {
            Files.readAllLines(Paths.get(dateiName)).forEach(line -> {
                String[] parts = line.split(";");
                System.out.println(parts[0]);

                gebiete.add(new Gebiet(Integer.parseInt(parts[0]), Integer.parseInt(parts[1]), parts[2], (parts[3].equals("-")) ? 0 : Long.parseLong(parts[3]), (parts[4].equals("-")) ? 0 : Integer.parseInt(parts[4])));
            });
        } catch (Exception e) {
            e.printStackTrace();
        }
        return gebiete;
    }
}
